--- nathelper.c	2006-01-24 22:31:55.000000000 +0100
+++ /home/nathelper.c	2006-05-11 09:52:10.000000000 +0200
@@ -1635,7 +1635,7 @@
 	char **ap, *argv[10];
 	struct lump* anchor;
 	struct rtpp_node *node;
-	struct iovec v[14] = {
+	struct iovec v[16] = {
 		{NULL, 0},	/* command */
 		{NULL, 0},	/* options */
 		{" ", 1},	/* separator */
@@ -1649,7 +1649,9 @@
 		{";", 1},	/* separator */
 		{NULL, 0},	/* medianum */
 		{" ", 1},	/* separator */
-		{NULL, 0}	/* to_tag */
+		{NULL, 0},	/* to_tag */
+		{";", 1},
+		{NULL, 0}      /* medianum */
 	};
 	char *v1p, *v2p, *c1p, *c2p, *m1p, *m2p, *bodylimit, *o1p;
 	char medianum_buf[20];
@@ -1729,11 +1731,21 @@
 	if (get_to_tag(msg, &to_tag) == -1) {
 		LOG(L_ERR, "ERROR: force_rtp_proxy2: can't get To tag\n");
 		return -1;
+	}else
+	{
+
+	LOG(L_ERR, "debug : force_rtp_proxy2:  To tag %s \n", to_tag);
 	}
+
 	if (get_from_tag(msg, &from_tag) == -1 || from_tag.len == 0) {
 		LOG(L_ERR, "ERROR: force_rtp_proxy2: can't get From tag\n");
 		return -1;
-	}
+	}else
+        {
+
+        LOG(L_ERR, "debug : force_rtp_proxy2:  from tag %s \n", from_tag);
+        }
+
 	if (flookup != 0) {
 		if (create == 0 || to_tag.len == 0)
 			return -1;
@@ -1857,11 +1869,14 @@
 			STR2IOVEC(from_tag, v[9]);
 			if (1 || media_multi) /* XXX netch: can't choose now*/
 			{
+				LOG(L_ERR, "debug : force_rtp_proxy2: media 1:  \n");
 				STR2IOVEC(medianum_str, v[11]);
 			} else {
+				LOG(L_ERR, "debug : force_rtp_proxy2: media 2: \n");
 				v[10].iov_len = v[11].iov_len = 0;
 			}
 			STR2IOVEC(to_tag, v[13]);
+			STR2IOVEC(medianum_str, v[15]);
 			do {
 				node = select_rtpp_node(callid, 1);
 				if (!node) {
@@ -1869,9 +1884,12 @@
 						"proxies\n");
 					return -1;
 				}
-				cp = send_rtpp_command(node, v, (to_tag.len > 0) ? 14 : 12);
+
+				
+
+				cp = send_rtpp_command(node, v, (to_tag.len > 0) ? 16 : 12);
 			} while (cp == NULL);
-			LOG(L_DBG, "force_rtp_proxy2: proxy reply: %s\n", cp);
+			LOG(L_ERR, "force_rtp_proxy2: proxy reply: %s\n", cp);
 			/* Parse proxy reply to <argc,argv> */
 			argc = 0;
 			memset(argv, 0, sizeof(argv));
@@ -1892,8 +1910,8 @@
 			}
 			port = atoi(argv[0]);
 			if (port <= 0 || port > 65535) {
-				LOG(L_ERR, "force_rtp_proxy2: incorrect port in reply "
-					"from rtp proxy\n");
+				LOG(L_ERR, "force_rtp_proxy2: incorrect port in reply %i  "
+					"from rtp proxy\n", port);
 				return -1;
 			}
 
